/*
 * PositionedElement.java
 *
 * Created on 5 luglio 2003, 13.17
 */

package it.businesslogic.ireport.undo;
import it.businesslogic.ireport.*;
/**
 *
 * @author  Administrator
 */
public class PositionedElement {
    
    private ReportElement element;    
    
    private int oldPosition;
    
    private int newPosition;
    
    public PositionedElement(ReportElement element, int oldPosition, int newPosition)
    {
        this.element = element;
        this.oldPosition = oldPosition;
        this.newPosition = newPosition;
    }   
    
    /** Getter for property element.
     * @return Value of property element.
     *
     */
    public it.businesslogic.ireport.ReportElement getElement() {
        return element;
    }    
    
    /** Setter for property element.
     * @param element New value of property element.
     *
     */
    public void setElement(it.businesslogic.ireport.ReportElement element) {
        this.element = element;
    }
    
    /** Getter for property newPosition.
     * @return Value of property newPosition.
     *
     */
    public int getNewPosition() {
        return newPosition;
    }
    
    /** Setter for property newPosition.
     * @param newPosition New value of property newPosition.
     *
     */
    public void setNewPosition(int newPosition) {
        this.newPosition = newPosition;
    }
    
    /** Getter for property oldPosition.
     * @return Value of property oldPosition.
     *
     */
    public int getOldPosition() {
        return oldPosition;
    }
    
    /** Setter for property oldPosition.
     * @param oldPosition New value of property oldPosition.
     *
     */
    public void setOldPosition(int oldPosition) {
        this.oldPosition = oldPosition;
    }
    
}